{% if posts.pagination.pages is not empty %}
    <nav class="pagination mt-4">
        <ul class="inline-flex"> 

            {# Previous #}
            {% if pagination.prev %}
                <li class="prev">
                    <a class="bg-gray-300 hover:bg-gray-400 text-gray-800 font-bold py-2 px-4 rounded-l inline-block" href="{{ pagination.prev.link }}">Préc</a>
                </li>
            {% else %}
                <li class="prev btn disabled">
                    <button class="bg-gray-300 text-gray-600 font-bold py-2 px-4 rounded-l pointer-events-none" disabled>Préc</button>
                </li>
            {% endif %}

            {# Pages #}
            {% for page in pagination.pages %}
                {% if page.link %}
                    <li>
                        <a class="bg-gray-300 hover:bg-gray-400 text-gray-800 py-2 px-4 inline-block" href="{{ page.link }}" class="{{ page.class }}">{{ page.title }}</a>
                    </li>
                {% else %}
                    <li class="current">
                        <span class="{{ page.class }} bg-gray-300 text-gray-600 py-2 px-4 inline-block pointer-events-none">{{ page.title }}</span>
                    </li>
                {% endif %}
            {% endfor %}

            {# Next #}
            {% if pagination.next %}
                <li class="next">
                    <a class="bg-gray-300 hover:bg-gray-400 text-gray-800 font-bold py-2 px-4 rounded-r inline-block" href="{{ pagination.next.link }}">Suivant</a>
                </li>
            {% else %}
                <li class="next disabled">
                    <button class="bg-gray-300 text-gray-600 font-bold py-2 px-4 rounded-r pointer-events-none" disabled>Suivant</button>
                </li>
            {% endif %}

        </ul>
    </nav>
{% endif %}
